Blame 0044-systemd-do-not-use-systemd-version-until-fixed.patch
|
Harald Hoyer |
61c497 |
From 6b46e7baa0e16a864259cb9e60aa99e496be6d78 Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
61c497 |
From: Harald Hoyer <harald@redhat.com>
|
|
Harald Hoyer |
61c497 |
Date: Thu, 14 Mar 2013 19:03:20 +0100
|
|
Harald Hoyer |
61c497 |
Subject: [PATCH] systemd: do not use "systemd --version" until fixed
|
|
Harald Hoyer |
61c497 |
|
|
Harald Hoyer |
61c497 |
---
|
|
Harald Hoyer |
61c497 |
modules.d/98systemd/module-setup.sh | 10 +++++-----
|
|
Harald Hoyer |
61c497 |
1 file changed, 5 insertions(+), 5 deletions(-)
|
|
Harald Hoyer |
61c497 |
|
|
Harald Hoyer |
61c497 |
diff --git a/modules.d/98systemd/module-setup.sh b/modules.d/98systemd/module-setup.sh
|
|
Harald Hoyer |
61c497 |
index f74ae88..17dbc44 100755
|
|
Harald Hoyer |
61c497 |
--- a/modules.d/98systemd/module-setup.sh
|
|
Harald Hoyer |
61c497 |
+++ b/modules.d/98systemd/module-setup.sh
|
|
Harald Hoyer |
61c497 |
@@ -18,11 +18,11 @@ depends() {
|
|
Harald Hoyer |
61c497 |
install() {
|
|
Harald Hoyer |
61c497 |
local _mods
|
|
Harald Hoyer |
61c497 |
|
|
Harald Hoyer |
61c497 |
- SYSTEMD_VERSION=$($systemdutildir/systemd --version | { read a b a; echo $b; })
|
|
Harald Hoyer |
61c497 |
- if (( $SYSTEMD_VERSION < 198 )); then
|
|
Harald Hoyer |
61c497 |
- dfatal "systemd version $SYSTEMD_VERSION is too low. Need at least version 198."
|
|
Harald Hoyer |
61c497 |
- exit 1
|
|
Harald Hoyer |
61c497 |
- fi
|
|
Harald Hoyer |
61c497 |
+# SYSTEMD_VERSION=$($systemdutildir/systemd --version | { read a b a; echo $b; })
|
|
Harald Hoyer |
61c497 |
+# if (( $SYSTEMD_VERSION < 198 )); then
|
|
Harald Hoyer |
61c497 |
+# dfatal "systemd version $SYSTEMD_VERSION is too low. Need at least version 198."
|
|
Harald Hoyer |
61c497 |
+# exit 1
|
|
Harald Hoyer |
61c497 |
+# fi
|
|
Harald Hoyer |
61c497 |
|
|
Harald Hoyer |
61c497 |
if strstr "$prefix" "/run/"; then
|
|
Harald Hoyer |
61c497 |
dfatal "systemd does not work a prefix, which contains \"/run\"!!"
|